-- Plugin definitions and loading
local cmd = vim.cmd

-- Rerun packer install when this file changes
cmd([[
  augroup packer_user_config
    autocmd!
    autocmd BufWritePost plugins.lua source <afile> | PackerCompile
  augroup end
]])

-- Load packer
cmd([[packadd packer.nvim]])

-- Get plugins
return require("packer").startup(function(use)
  -- Dogfood packer
  use({"wbthomason/packer.nvim", opt = true})

  -- LSP stuff
  use({"neovim/nvim-lspconfig", config = function() require("plugins.lsp") end})
  use "simrat39/rust-tools.nvim"
  use "stevearc/aerial.nvim"
  use "j-hui/fidget.nvim"

  -- Completion
  use "hrsh7th/cmp-nvim-lsp"
  use "hrsh7th/cmp-buffer"
  use "hrsh7th/cmp-path"
  use "hrsh7th/cmp-cmdline"
  use({"hrsh7th/nvim-cmp", config = function() require("plugins.completion") end})

  -- Fancy UI stuff
  use "RRethy/nvim-base16"
  use "stevearc/dressing.nvim"
end)

